Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#17 Disk space reporting incorrect

v0.12
open
nobody
None
5
2014-06-18
2013-08-19
Anonymous Bosch
No

I’ve got a Windows 2012 server and BBWin 0.13 is reporting the following:

[disk]
Filesystem     1K-blocks     Used       Avail    Capacity    Mounted      Summary(Total\Avail)
C               62810108   27023520   35786588    43%       /FIXED/C        59.92gb\34.13gb
D               41939964     820088   41119876     1%       /FIXED/D        39.10gb\39.22gb
DTH             20968444   17821076    3147368    84%       /FIXED/DTH      19.10gb\3.01gb
KON             15725564    3882624   11842940    24%       /FIXED/KON      14.10gb\11.30gb

The first volume, C, is reporting accurate Total\Avail figures in the Summary column, however the Total field for the remaining volumes is incorrect - in each case, by 0.89707 GB. The Avail field seems fine.

The 1-k blocks field is correct in all cases, however, confirmed against the report from Windows.

I've got a Windows 2012 server running BBWin 0.12 and it's reporting the following:

[disk]
Filesystem   1K-blocks     Used       Avail    Capacity   Total Size   Free Space   Type    Mount Point
C             52067324   40810444   11256880    78%         49.66 GB     10.74 GB   FIXED   N/A
D             52425724    4341516   48084208     8%         50.00 GB     45.86 GB   FIXED   N/A
E             15725564     657928   15067636     4%         15.00 GB     14.37 GB   FIXED   N/A

Even though one of the volumes (E) is the same size as the KON volume on the previous server (15725564) the error is not reproduced.

I also have a Windows 2003 R2 x64 server running BBWin 0.13 and it reports the following:

[disk]
Filesystem     1K-blocks     Used       Avail    Capacity    Mounted      Summary(Total\Avail)
C               31455236   26038616    5416620    82%       /FIXED/C        29.10gb\5.16gb
D               20964792    9417592   11547200    44%       /FIXED/D        19.10gb\11.12gb
E              104848188   38102084   66746104    36%       /FIXED/E        99.10gb\63.66gb
F              209712476  143953104   65759372    68%       /FIXED/F        199.10gb\62.73gb
G               83883328   59497472   24385856    70%       /FIXED/G        79.10gb\23.26gb
H              209712476   16832560  192879916     8%       /FIXED/H        199.10gb\183.96gb

These figures show the same error as the other BBWin 0.13 figures.

Discussion

  • Malcolm Hunter
    Malcolm Hunter
    2013-08-19

    <html><head></head><body>

    Hi,

     
    There seems to be a problem with your BBWin 0.13 installations. They are reporting in the old style format. For example "Summary(Total\Avail)" is the old format - before 0.13. So it looks like you have 0.12 installed on the first and last servers in your example here and 0.13 on the second server. There were calculation issues in 0.12 that should be resolved in 0.13.
     
    BBWin Development - The Windows client for Big Brother and Xymon

    http://bbwin.sourceforge.net
    http://xymon.sourceforge.net
     
     
    Gesendet: Montag, 19. August 2013 um 04:26 Uhr
    Von: "Anonymous Bosch" <anonymous_bosch@users.sf.net>
    An: "Ticket 17" <17@bugs.bbwin.p.re.sf.net>
    Betreff: [bbwin:bugs] #17 Disk space reporting incorrect

    [bugs:#17] Disk space reporting incorrect

    Status: open
    Created: Mon Aug 19, 2013 02:26 AM UTC by Anonymous Bosch
    Last Updated: Mon Aug 19, 2013 02:26 AM UTC
    Owner: nobody

    I’ve got a Windows 2012 server and BBWin 0.13 is reporting the following:

    [disk]
    Filesystem     1K-blocks     Used       Avail    Capacity    Mounted      Summary(Total\Avail)
    C               62810108   27023520   35786588    43%       /FIXED/C        59.92gb\34.13gb
    D               41939964     820088   41119876     1%       /FIXED/D        39.10gb\39.22gb
    DTH             20968444   17821076    3147368    84%       /FIXED/DTH      19.10gb\3.01gb
    KON             15725564    3882624   11842940    24%       /FIXED/KON      14.10gb\11.30gb
    

    The first volume, C, is reporting accurate Total\Avail figures in the Summary column, however the Total field for the remaining volumes is incorrect - in each case, by 0.89707 GB. The Avail field seems fine.

    The 1-k blocks field is correct in all cases, however, confirmed against the report from Windows.

    I've got a Windows 2012 server running BBWin 0.12 and it's reporting the following:

    [disk]
    Filesystem   1K-blocks     Used       Avail    Capacity   Total Size   Free Space   Type    Mount Point
    C             52067324   40810444   11256880    78%         49.66 GB     10.74 GB   FIXED   N/A
    D             52425724    4341516   48084208     8%         50.00 GB     45.86 GB   FIXED   N/A
    E             15725564     657928   15067636     4%         15.00 GB     14.37 GB   FIXED   N/A
    

    Even though one of the volumes (E) is the same size as the KON volume on the previous server (15725564) the error is not reproduced.

    I also have a Windows 2003 R2 x64 server running BBWin 0.13 and it reports the following:

    [disk]
    Filesystem     1K-blocks     Used       Avail    Capacity    Mounted      Summary(Total\Avail)
    C               31455236   26038616    5416620    82%       /FIXED/C        29.10gb\5.16gb
    D               20964792    9417592   11547200    44%       /FIXED/D        19.10gb\11.12gb
    E              104848188   38102084   66746104    36%       /FIXED/E        99.10gb\63.66gb
    F              209712476  143953104   65759372    68%       /FIXED/F        199.10gb\62.73gb
    G               83883328   59497472   24385856    70%       /FIXED/G        79.10gb\23.26gb
    H              209712476   16832560  192879916     8%       /FIXED/H        199.10gb\183.96gb
    

    These figures show the same error as the other BBWin 0.13 figures.


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/bbwin/bugs/17/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/




    </body></html>

     
  • One sec; I just wrote up a reply to your message but decided what I wrote didn't make sense after I hit post; am checking things out for myself.

     
    Last edit: Anonymous Bosch 2013-08-19
  • Apologies; the engineer providing the bug report provided the wrong version numbers for each BBWin installation, reversing them.

    After I wrote my reply to your update I realised what I wrote didn't make sense after I hit post, so something was clearly wrong with my original information.

    I've checked the servers out myself and confirmed the problem server is running BBWin 0.12, not 0.13 as reported. I've installed BBWin 0.13 and confirmed that the issue is resolved.

    Thanks for your time!